#############################################################################
# setup.py - Build script for the python-libtorrent package
# Copyright 2007, Peter Gordon ('codergeek42') <peter@thecodergeek.com>
# Based heavily on the setup.py included in the python-libtorrent source
# tarball, which is Copyright A. Zakai ('Kripken') <kripkensteiner@gmail.com>
# (http://6thsenseless.blogspot.com, 2006-15-09)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#############################################################################
# ChangeLog: 
# 2007-01-25 (Peter Gordon <peter@thecodergeek.com>)
# * Force building against the system copy of rb_libtorrent, rather
#   than its own internal copy, plus a huge amount of aesthetic fixes.  
#############################################################################

from platform import python_version
from distutils.core import setup, Extension

torrent_so = Extension(
	'torrent',
	include_dirs = ['/usr/include/libtorrent'],
	libraries = ['torrent', 'boost_filesystem'],
	sources = ['python-libtorrent.cpp']
	)

setup(
	name = 'Python-libtorrent',
	version = '0.4.0',
	description = 'Wrapper code for rb_libtorrent C++ torrent library',
	ext_modules = [torrent_so]
)