%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:		python-libtorrent
Version:	0.4.0
Release:	2%{?dist}
Summary:	Python bindings to the rb_libtorrent library
Group:		Development/Languages
License:	GPL
URL:		http://code.google.com/p/python-libtorrent/

Source0:	http://deluge-torrent.org/downloads/%{name}_%{version}.tar.gz
Source1:	%{name}-setup.py

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel
BuildRequires:	boost-devel
BuildRequires:	zlib-devel
BuildRequires:	rb_libtorrent-devel

%description
This package contains Python bindings for the rb_libtorrent library, allowing
one to write full-featured applications in Python that use rb_libtorrent.   


%prep
%setup -q -n "%{name}"
## Make it build against the system rb_libtorrent, not its own local copy...
install -m 0755 %{SOURCE1} setup.py 
## Fix python-libtorrent.cpp permissions.
chmod a-x python-libtorrent.cpp

%build
## It needs a special define for its pythonLong type on 64-bit arches.
%ifarch x86_64 sparc64 ppc64
	CFLAGS="-DAMD64 %{optflags}" %{__python} setup.py build
%else
	CFLAGS="%{optflags}" %{__python} setup.py build
%endif


%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

 
%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc LICENSE
%{python_sitearch}/torrent.so

%changelog
* Sun Jan 28 2007 Peter Gordon <peter@thecodergeek.com> - 0.4.0-2
- A couple of fixes from Mamoru Tasaka's review comments (#221376):
  (1) Fix permission on the python-libtorrent.cpp file, so that its
      permissions in the -debuginfo subpackage are correct;
  (2) Fix Source0 URL to point to deluge-torrent.org's downloads.  

* Thu Jan 25 2007 Peter Gordon <peter@thecodergeek.com> - 0.4.0-1
- Update to new upstream release (0.4.0)
- Force building against the system rb_libtorrent, rather than an internal
  copy in the source tarball.
  + setup.py

* Sun Jan 07 2007 Peter Gordon <peter@thecodergeek.com> - 0.3.0-4.20061128svn
- Pass "-DAMD64" as a compiler flag on 64-bit arches to get a proper
  pythonLong preprocessor definition. (Thanks to Gerd Classen; bug #221669)  

* Fri Jan 05 2007 Peter Gordon <peter@thecodergeek.com> - 0.3.0-3.20061128svn
- Update to 2006-11-28 SVN snapshot (changeset 71) to fix some DHT issues,
  including some missing functions and whatnot.

* Thu Jan 04 2007 Peter Gordon <peter@thecodergeek.com> - 0.3.0-2
- Add explicit Requires on rb_libtorrent, as RPM does not pick it up from the
  soname. (Indeed, the resulting torrent.so file does not link with
  rb_libtorrent explicitly, so ldd does not find it through that.) 

* Wed Jan 03 2007 Peter Gordon <peter@thecodergeek.com> - 0.3.0-1 
- Initial packaging for Fedora Extras 
